import { Observable } from 'rxjs'
import Ready from '../src/ready'
import { EventEmitter } from 'events'

let emitter = new EventEmitter()

let process = new Ready({emitter: emitter})

const tObs = new Observable(subscriber => {
  subscriber.next('on')
  subscriber.next('off')
  subscriber.next('enabled')
  setTimeout(() => {
    subscriber.next('F')
    subscriber.next('T')
  }, 2000)
})

const tPromise = new Promise(function(resolve) {
  setTimeout(()=>resolve('yes'),3000)
})

process.addObserver('e')
process.addObserver('ec',(ev)=>ev.test)
process.addObserver('pe',emitter)
process.addObserver('obs',tObs)
process.addObserver('pr',tPromise)

console.log(process.size)
process.subscribe()

emitter.emit('ec',{test:true})
emitter.emit('e','sure')
emitter.emit('pe')
